# DataExchange
TKXSBase
XSControl

# XSControl_Writer Class Reference

This class gives a simple way to create then write a
Model compliant to a given norm, from a Shape
The model can then be edited by tools by other appropriate tools
.

`#include <XSControl_Writer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XSControl_Writer ()
| Creates a Writer from scratch .
Standard_EXPORT | XSControl_Writer (const Standard_CString norm)
| Creates a Writer from scratch, with a norm name which identifie a Controller .
Standard_EXPORT | XSControl_Writer (const Handle(XSControl_WorkSession)&WS, const Standard_Boolean scratch=Standard_True)
| Creates a Writer from an already existing Session If <scratch> is True (D), clears already recorded data .
Standard_EXPORT Standard_Boolean | SetNorm (const Standard_CString norm)
| Sets a specific norm to <me> Returns True if done, False if <norm> is not available .
Standard_EXPORT void | SetWS (const Handle(XSControl_WorkSession)&WS, const Standard_Boolean scratch=Standard_True)
| Sets a specific session to <me> .
Standard_EXPORT Handle_XSControl_WorkSession | WS () const
| Returns the session used in <me> .
Standard_EXPORT Handle_Interface_InterfaceModel | Model (const Standard_Boolean newone=Standard_False)
| Returns the produced model. Produces a new one if not yet done or if <newone> is True This method allows for instance to edit product or header data before writing .
Standard_EXPORT IFSelect_ReturnStatus | TransferShape (const TopoDS_Shape &sh, const Standard_Integer mode=0)
| Transfers a Shape according to the mode .
Standard_EXPORT IFSelect_ReturnStatus | WriteFile (const Standard_CString filename)
| Writes the produced model .
Standard_EXPORT void | PrintStatsTransfer (const Standard_Integer what, const Standard_Integer mode=0) const
| Prints Statistics about Transfer .

## Private Attributes

Handle_XSControl_WorkSession | thesession

## Constructor & Destructor Documentation

Standard_EXPORT XSControl_Writer::XSControl_Writer | ( |  | ) |

Standard_EXPORT XSControl_Writer::XSControl_Writer | ( | const Standard_CString | norm | ) |

Standard_EXPORT XSControl_Writer::XSControl_Writer | ( | const Handle(XSControl_WorkSession)& | WS,
|  | const Standard_Boolean | scratch = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Interface_InterfaceModel XSControl_Writer::Model | ( | const Standard_Boolean | newone = `Standard_False` | ) |

void XSControl_Writer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSControl_Writer::operator new | ( | size_t | size | ) | `[inline]`

void* XSControl_Writer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void XSControl_Writer::PrintStatsTransfer | ( | const Standard_Integer | what,
|  | const Standard_Integer | mode = `0`
| ) | const

Standard_EXPORT Standard_Boolean XSControl_Writer::SetNorm | ( | const Standard_CString | norm | ) |

Standard_EXPORT void XSControl_Writer::SetWS | ( | const Handle(XSControl_WorkSession)& | WS,
|  | const Standard_Boolean | scratch = `Standard_True`
| ) |

Standard_EXPORT IFSelect_ReturnStatus XSControl_Writer::TransferShape | ( | const TopoDS_Shape & | sh,
|  | const Standard_Integer | mode = `0`
| ) |

Standard_EXPORT IFSelect_ReturnStatus XSControl_Writer::WriteFile | ( | const Standard_CString | filename | ) |

Standard_EXPORT Handle_XSControl_WorkSession XSControl_Writer::WS | ( |  | ) | const

## Field Documentation

Handle_XSControl_WorkSession XSControl_Writer::thesession `[private]`

The documentation for this class was generated from the following file:

- XSControl_Writer.hxx